package com.caimei.model.vo;

import com.caimei.model.po.ProductParamPo;
import lombok.Data;

import java.util.List;

/**
 * @author Aslee
 */
@Data
public class AuthProductVo {
    /**
     * 商品名称
     */
    private String productName;
    /**
     * 商品SN码
     */
    private String snCode;
    /**
     * 商品图片
     */
    private String productImage;
    /**
     * 供应商公众号二维码图片
     */
    private String qrCodeImage;
    /**
     * 授权牌照
     */
    private String certificateImage;
    /**
     * 品牌授权Id
     */
    private Integer authId;
    /**
     * 品牌授权logo
     */
    private String authLogo;
    /**
     * 品牌信息Id
     */
    private Integer infoId;
    /**
     * 品牌名称
     */
    private String brandName;
    /**
     * 产地
     */
    private String productionPlace;
    /**
     * 防伪链接
     */
    private String securityLink;
    /**
     * 制造商
     */
    private String manufacturer;
    /**
     * 供应商类型：1品牌方，2代理商
     */
    private Integer shopType;
    /**
     * 供应商名称
     */
    private String shopName;
    /**
     * 供应商用户id
     */
    private Integer authUserId;
    /**
     * 被授权方
     */
    private String authParty;
    /**
     * 机构logo
     */
    private String clubLogo;
    /**
     * 商品参数
     */
    private List<ProductParamPo> paramList;
    /**
     * pc商品图片（含水印）
     */
    private String pcImage;
    /**
     * 小程序商品图片（含水印）
     */
    private String appletsImage;
    /**
     * pc授权牌照图片（含水印）
     */
    private String pcCertificateImage;
    /**
     * 小程序授权牌照图片（含水印）
     */
    private String appletsCertificateImage;

    /**
     * 设备关联的机构列表
     */
    private List<WxClubListVo> clubList;
}
